rpm 4.10.0

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Typedefs | Functions
rpmsq.h File Reference
RPM IO API.
`#include <rpm/rpmsw.h>`
`#include <signal.h>`
Include dependency graph for rpmsq.h:

Go to the source code of this file.

## Typedefs
typedef void(* | rpmsqAction_t )(int signum)
| Default signal handler prototype.
## Functions
int | rpmsqIsCaught (int signum)
| Test if given signal has been caught (while signals blocked).
void | rpmsqAction (int signum)
| Default signal handler.
int | rpmsqEnable (int signum, rpmsqAction_t handler)
| Enable or disable a signal handler.

## Detailed Description

Definition in file rpmsq.h.